module Horizon.Spec.Types.LocalSource (LocalSource(MkLocalSource), fromLocalSource) where

import           Data.Kind                 (Type)
import           Dhall                     (FromDhall, ToDhall)
import           Horizon.Spec.Types.Subdir (Subdir)


type LocalSource :: Type
newtype LocalSource where
  MkLocalSource :: { fromLocalSource :: Subdir } -> LocalSource
  deriving stock (Eq, Show)
  deriving newtype (FromDhall, ToDhall)
